import { OnInit, Injector, ElementRef } from '@angular/core';
import { NgControl, ControlValueAccessor } from '@angular/forms';
import { FileModel } from './file.model';
export declare class NgBootstrapFileuploadAngularComponent implements ControlValueAccessor, OnInit {
    private inj;
    private host;
    savedFile: FileModel;
    fileName: string;
    showPreview: boolean;
    messageSelectFile: string;
    fileInput: ElementRef;
    private onTouched;
    private onChange;
    ngControl: NgControl;
    constructor(inj: Injector, host: ElementRef<HTMLInputElement>);
    onDragStart(event: any, data: any): void;
    onDrop(event: any): void;
    allowDrop(event: any): void;
    ngOnInit(): void;
    writeValue(newFileModel: any): void;
    onFileSelected($event: any): void;
    uploadFile(fileToUpload: File): void;
    clear(): void;
    bytesToSize(bytes: number): string;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    inputBlur($event: any): void;
}
